//import {axios, base} from './request'
import http from './http'
import httpTwo from './httpTwo'
import {gisGYPipeReal,
        gisGYTransferHeatUC,
        gisGYTransferValue,
        gisTransferOpenValue,
        gisGYSupplyHeatUCDeviation,
        weatherForecast,
        gisGYSupplyWater,
        gisHomeArea,
        gisHomeServicCenterList,
        gisGYSupplyRealData,
        gisGetGYHeatSourceTrend,
        gisGYSupplyWaterTrend,
        gisGetGISRankWaterUC,
        gisGYTopTransferData,
        gisHomeSupplylist,
        gisGYSupplyAlarmData,
        gisGYTransferRealData,
        homeTransferList,
        gisGYTransferVideo,
        gisGYTransferAlarmData,
        queryImgList,
        HIKgetPlanId} from "@/dataJson/screenDisplayData/mock.js";

//登录获取token
// export const getToken = params => {
//     return axios.get(`${base}/api/user/login`, {params: params}).then(res => res.data).catch(function (error) {
//         console.log(error);
//     })
//   }

// //登录获取token
// export const getToken = params => {
//   return http.post(`/api/user/login`, params).then(res => res.data).catch(function (error) {
//       console.log(error);
//   })
// }

//定义postServicCenterList的静态数据
export const postServicCenterList = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisHomeServicCenterList);
    } catch (error) {
      reject(error);
    }
  });
}

//Gis获取服务中心列表
// export const postServicCenterList = params => {
//   var url = "/api/gis/home/ServicCenterList";
//   return http.post(url).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//Gis获取供热站列表

//定义postSupplylist的静态数据
export const postSupplylist = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisHomeSupplylist);
    } catch (error) {
      reject(error);
    }
  });
}
// export const postSupplylist = params => {
//   return http.post(`/api/gis/home/supplylist`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//Gis获取换热站列表

//定义postTransferList的静态数据
export const postTransferList = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(homeTransferList);
    } catch (error) {
      reject(error);
    }
  });
}
// export const postTransferList = params => {
//   return http.post(`/api/gis/home/TransferList`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义getForecast的静态数据
export const getForecast = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(weatherForecast);
    } catch (error) {
      reject(error);
    }
  });
}
//获取室外温度
// export const getForecast = params => {
//   return http.get(`/api/weather/Forecast`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//查询换热站灭火器卡片机照片轮播

//定义getFireExtinguisherApi的静态数据
export const getFireExtinguisherApi = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(queryImgList);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getFireExtinguisherApi = item => {
//   return httpTwo.get(`/busFireExtinguisher/queryImgList?stationId=${item.stationId}`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//查询换热站温度告警数据

//定义queryAlarmsImgList的静态数据
export const queryAlarmsImgList = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(queryImgList);
    } catch (error) {
      reject(error);
    }
  });
}
// export const queryAlarmsImgList = item => {
//   return httpTwo.get(`/bustransfertemperaturealarm/queryAlarmsImgList?stationId=${item.stationId}`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//查询管道光纤测漏温度曲线统计图

//定义getTemperatureStatisticsApi的静态数据
export const getTemperatureStatisticsApi = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(queryImgList);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getTemperatureStatisticsApi = item => {
//   return httpTwo.get(`/buspipelinetemperature/getTemperatureStatistics?stationId=${item.stationId}`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//查询换热站音频声波轮播

export const  queryAudioUrlListApi = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(queryImgList);
    } catch (error) {
      reject(error);
    }
  });
}
// export const queryAudioUrlListApi = item => {
//   return httpTwo.get(`/buscirculatingpump/queryAudioUrlList?stationId=${item.stationId}`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义getPlanIdApi的静态数据
export const getPlanIdApi = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(HIKgetPlanId);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getPlanIdApi = params => {
//   return http.post(`/api/HIK/getPlanId`,params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//获取港益换热站实时能耗数据
//定义getGYTransferRealData的静态数据
export const getGYTransferRealData = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTransferRealData);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getGYTransferRealData = params => {
//   return http.post(`/api/gis/GYTransferRealData`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//获取港益换热站报警数据

//定义getGYTransferAlarmData的静态数据
export const getGYTransferAlarmData = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTransferAlarmData);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getGYTransferAlarmData = params => {
//   return http.post(`/api/gis/GYTransferAlarmData`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义getGYSupplyRealData的静态数据
export const getGYSupplyRealData = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYSupplyRealData);
    } catch (error) {
      reject(error);
    }
  });
}
//获取当日实时能耗
// export const getGYSupplyRealData = params => {
//   return http.post(`/api/gis/GYSupplyRealData`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//获取港益换热站能耗数据前十五名

//定义getGYTopTransferData的静态数据
export const getGYTopTransferData = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTopTransferData);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getGYTopTransferData = params => {
//   return http.post(`/api/gis/GYTopTransferData`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//获取港益服务中心报警数据

export const  getGYSupplyAlarmData = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYSupplyAlarmData);
    } catch (error) {
      reject(error);
    }
  });
}
// export const getGYSupplyAlarmData = params => {
//   return http.post(`/api/gis/GYSupplyAlarmData`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
//二次侧机组补水量排名

//定义GetGISRankWaterUC的静态数据
export const  GetGISRankWaterUC = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGetGISRankWaterUC);
    } catch (error) {
      reject(error);
    }
  });
}
// export const GetGISRankWaterUC = params => {
//   return http.post(`/api/gis/GetGISRankWaterUC`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义GetGYHeatSourceTrend的静态数据
export const  GetGYHeatSourceTrend = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGetGYHeatSourceTrend);
    } catch (error) {
      reject(error);
    }
  });
}
//24小时热源温度压力流量趋势曲线
// export const GetGYHeatSourceTrend = params => {
//   return http.post(`/api/gis/GetGYHeatSourceTrend`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义GetGYHeatSourceTrend的静态数据
export const  getGYSupplyWaterTrend = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYSupplyWaterTrend);
    } catch (error) {
      reject(error);
    }
  });
}
//一次侧机组补水曲线
// export const getGYSupplyWaterTrend = params => {
//   return http.post(`/api/gis/GYSupplyWaterTrend`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//获取港益换热站视频数据

//定义GYTransferVideo的静态数据
export const GYTransferVideo  = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTransferVideo);
    } catch (error) {
      reject(error);
    }
  });
}
// export const GYTransferVideo = params => {
//   return http.post(`/api/gis/GYTransferVideo`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//获取实时数据接口

//定义postGYPipeReal的静态数据
export const postGYPipeReal = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYPipeReal);
    } catch (error) {
      reject(error);
    }
  });
}
// export const postGYPipeReal = params => {
//   return http.post(`/api/gis/GYPipeReal`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postGYTransferValue的静态数据
export const postGYTransferValue = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTransferValue);
    } catch (error) {
      reject(error);
    }
  });
}
//获取换热站工况数据接口1 -- 阀门开度
// export const postGYTransferValue = params => {
//   return http.post(`/api/gis/GYTransferValue`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postGYTransferHeatUC的静态数据
export const postGYTransferHeatUC = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYTransferHeatUC);
    } catch (error) {
      reject(error);
    }
  });
}
//获取换热站工况数据接口2 -- 热单耗
// export const postGYTransferHeatUC = params => {
//   return http.post(`/api/gis/GYTransferHeatUC`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postAreaList 的静态数据
export const postAreaList = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisHomeArea);
    } catch (error) {
      reject(error);
    }
  });
}
//获取智慧调控面积
// export const postAreaList = params => {
//   return http.post(`/api/gis/home/area`, params).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postGYSupplyWater 的静态数据
export const postGYSupplyWater = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYSupplyWater);
    } catch (error) {
      reject(error);
    }
  });
}
//获取前12小时一次补水量曲线
// export const postGYSupplyWater = params => {
//   return http.post(`/api/gis/GYSupplyWater`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postTransferOpenValue的静态数据
export const postTransferOpenValue = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisTransferOpenValue);
    } catch (error) {
      reject(error);
    }
  });
}
//获取换热站机组一网电调阀开度分布
// export const postTransferOpenValue = params => {
//   return http.post(`/api/gis/TransferOpenValue`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }

//定义postTransferOpenValue的静态数据
export const postGYSupplyHeatUCDeviation = params => {
  return new Promise((resolve, reject) => {
    try {
      resolve(gisGYSupplyHeatUCDeviation);
    } catch (error) {
      reject(error);
    }
  });
}
//供热站度日热耗偏移量接口
// export const postGYSupplyHeatUCDeviation = params => {
//   return http.post(`/api/gis/GYSupplyHeatUCDeviation`).then(res => res).catch(function (error) {
//     console.log(error);
//   })
// }
